プラグイン: Mix::Plugin::IReader Class Reference

プラグイン

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Types | Public Member Functions | Protected Member Functions | List of all members
Mix::Plugin::IReader Class Referenceabstract

リーダーインターフェース More...

`#include <IReader.h>`

## Public Types

enum | SEEK_METHOD { BEGIN = 0, CURRENT = 1, END = 2 }
| シークメソッド列挙定数 More...

## Public Member Functions

virtual unsigned long long | GetSize (void) const =0
| サイズを取得します More...
virtual unsigned long long | GetPosition (void) const =0
| 読み取り位置を取得します More...
virtual unsigned int | Read (void *pBuffer, unsigned int readSize)=0
| バッファに指定したサイズだけ読み取ります More...
virtual const void * | Read (unsigned int readSize, unsigned int &result)=0
| 指定したサイズだけ読み取ります More...
virtual unsigned long long | Seek (Mix::Plugin::IReader::SEEK_METHOD method, unsigned long long distance)=0
| 読み取り位置を移動します More...

## Protected Member Functions

virtual | ~IReader (void)
| デストラクタ More...

## Detailed Description

リーダーインターフェース

## Member Enumeration Documentation

enum Mix::Plugin::IReader::SEEK_METHOD

シークメソッド列挙定数

Enumerator
BEGIN | ソースの先頭から終端に向かって移動
CURRENT | 現在の位置から移動
END | ソースの終端から先頭に向かって移動

## Constructor & Destructor Documentation

virtual Mix::Plugin::IReader::~IReader | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual unsigned long long Mix::Plugin::IReader::GetPosition | ( | void |  | ) | const

pure virtual

読み取り位置を取得します

Returns
  読み取り位置を返します

virtual unsigned long long Mix::Plugin::IReader::GetSize | ( | void |  | ) | const

pure virtual

サイズを取得します

Returns
  サイズを返します

virtual unsigned int Mix::Plugin::IReader::Read | ( | void * | pBuffer,
|  | unsigned int | readSize
| ) |  |

pure virtual

バッファに指定したサイズだけ読み取ります

Parameters

  [in] | pBuffer | 読み取り先のバッファ
  [in] | readSize | バッファに読み込むサイズ( バイト単位 )

Returns
  実際に読み取ったサイズを返します

virtual const void* Mix::Plugin::IReader::Read | ( | unsigned int | readSize,
|  | unsigned int & | result
| ) |  |

pure virtual

指定したサイズだけ読み取ります

Parameters

  [in] | readSize | 読み取るサイズ( バイト単位 )
  [out] | result | 実際に読み取ったサイズ( バイト単位 )

Returns
  読み取りを開始するメモリのポインタを返します

virtual unsigned long long Mix::Plugin::IReader::Seek | ( | Mix::Plugin::IReader::SEEK_METHOD | method,
|  | unsigned long long | distance
| ) |  |

pure virtual

読み取り位置を移動します

Parameters

  [in] | method | 移動の基点を表す Mix::Plugin::IReader::SEEK_METHOD 列挙定数
  [in] | distance | 基点からの移動距離( バイト単位 )

Returns
  移動後の読み取り位置を返します。

The documentation for this class was generated from the following file:

- Mix/Plugin/IReader.h